from app.protocols import Authenticator

DUMMY_USER_BASE = {
    "logan": {
        "name": "logan",
        "givenName": "Logan",
        "sn": "Howlett",
        "distinguishedName": {"OU": ["doc"]},
        "extensionAttribute6": "Staff",
    },
    "abc123": {
        "name": "abc123",
        "givenName": "Abee",
        "sn": "Xi Wan",
        "distinguishedName": {"OU": ["doc"]},
        "extensionAttribute6": "Student",
    },
    "hpotter": {
        "name": "hpotter",
        "givenName": "Harry",
        "sn": "Potter",
        "distinguishedName": {"OU": ["doc"]},
        "extensionAttribute6": "Student",
    },
    "adumble": {
        "name": "adumble",
        "givenName": "Albus",
        "sn": "Dumbledore",
        "distinguishedName": {"OU": ["doc"]},
        "extensionAttribute6": "Staff",
    },
    "rweas": {
        "name": "rweasl",
        "givenName": "Ronald",
        "sn": "Weasley",
        "distinguishedName": {"OU": ["doc"]},
        "extensionAttribute6": "Student",
    },
}


class DummyLdapAuthenticator(Authenticator):
    def authenticate(self, username: str, password: str) -> dict | None:
        return DUMMY_USER_BASE[username] if username in DUMMY_USER_BASE else None
