from ..database import db


class Category(db.Model):
    code = db.Column(db.String, primary_key=True)
    title = db.Column(db.String)
    deadline_for_student_changes = db.Column(db.DateTime)
    deadline_for_staff_change = db.Column(db.DateTime)

    @property
    def name(self) -> str:
        return self.title if self.title else self.code
