FROM python:3.10

# Install required system dependencies
RUN apt-get update
RUN apt-get install -y --no-install-recommends build-essential libldap2-dev libsasl2-dev ldap-utils libpq-dev


COPY requirements.txt /project-allocator/
COPY .flaskenv /project-allocator/
WORKDIR project-allocator

# Install python packages
RUN pip install --upgrade pip && pip install -r requirements.txt

