from ..database import db


class AuthenticatedUser(db.Model):
    username = db.Column(db.String(20), primary_key=True)
    firstname = db.Column(db.String)
    surname = db.Column(db.String)
    role = db.Column(db.String, nullable=False)

    def get_id(self):
        return self.username

    @property
    def is_authenticated(self):
        return True

    @property
    def is_anonymous(self):
        return False

    @property
    def is_active(self):
        return True
